# Generated by Django 3.2.7 on 2021-12-31 10:55

import apps.telegram.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ('telegram', '0008_telegramuserbot_enabled'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdvancedBot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('python_class', models.CharField(default='apps.telegram.advanced_bot.AdvancedBot', max_length=128, validators=[apps.telegram.models._bot_class])),
                ('bot', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='advanced_bot', to='telegram.telegramuserbot')),
            ],
        ),
        migrations.CreateModel(
            name='AdvancedBotAdmin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('telegram_id', models.CharField(max_length=32)),
                ('name', models.CharField(max_length=128)),
                ('bot', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='admins', to='telegram.advancedbot')),
            ],
            options={
                'unique_together': {('bot', 'telegram_id')},
            },
        ),
        migrations.CreateModel(
            name='AdvancedBotGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('telegram_id', models.CharField(max_length=32)),
                ('name', models.CharField(max_length=128)),
                ('approved', models.DateTimeField(null=True)),
                ('bot', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='groups', to='telegram.advancedbot')),
            ],
            options={
                'unique_together': {('bot', 'telegram_id')},
            },
        ),
    ]
